import { ICustomResourcePatch } from '../patches';
import { BasePatches } from '../patches/base';
export declare abstract class InitializerPatches extends BasePatches {
    protected data: any;
    protected static fileName?: string;
    protected static applicableKinds: string[];
    constructor(data?: any);
    abstract __patches(claim: any, previousCR: any): Promise<ICustomResourcePatch[]>;
    static FILE_NAME(): string;
    validate(schema: any): Promise<boolean>;
}
export declare class InitializerError extends Error {
    constructor(message: string);
}
